Name:           sucrack
Version:        1.2.3
Release:        6%{?dist}
Summary:        A su cracker

Group:          Applications/System
License:        GPLv2
URL:            http://www.leidecker.info/projects/sucrack.shtml
Source0:        http://www.leidecker.info/projects/%{name}/%{name}-%{version}.tar.gz

%description
sucrack is a multithreaded Linux/UNIX tool for brute-force cracking local user
accounts via su. This tool comes in handy as final instance on a system where
you have not to many privileges but you are in the wheel group. Many su
implementations require a pseudo terminal to be attached in order to take the
password from the user. This is why you couldn't just use a simple shell script
to do this work. This tool, written in c, is highly efficient and can attempt
multiple logins at the same time. Please be advised that using this tool will
take a lot of the CPU performance and fill up the logs quite quickly.

%prep
%setup -q
chmod -x ChangeLog src/*.h src/*.c

%build
%configure \
    --enable-statistics \
    --with-dynamic-list
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"

%files
%doc AUTHORS ChangeLog COPYING README
%{_mandir}/man*/%{name}*.*
%{_bindir}/%{name}

%changelog
* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jun 29 2013 Fabian Affolter <mail@fabian-affolter.ch> - 1.2.3-3
- Enable stats

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Oct 28 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.2.3-1
- Initial package for Fedora
